sc::EriCints(3)

NAME
sc::EriCints -

EriCints is a specialization of Int2eCints that computes electron repulsion integrals'.

SYNOPSIS

#include <eri.h>

Inherits sc::Int2eCints'.

  Public Member Functions
EriCints (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, size_t storage)
double * buffer (TwoBodyInt::tbint_type te_type) const
Returns the location of the buffer with target integrals'.
void compute_quartet (int *, int *, int *, int *)
Evaluate the target quartet of integrals'.

  Static Public Member Functions
static size_t storage_required (const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2=0, const Ref< GaussianBasisSet > &b3=0, const Ref< GaussianBasisSet > &b4=0)

Detailed Description

EriCints is a specialization of Int2eCints that computes electron repulsion integrals'.

Author

Generated automatically by Doxygen for MPQC from the source code'.